Authentication plugins changes in 3.8 version

For Joomla! 3.x Coding related discussions, please use: http://groups.google.com/group/joomla-dev-general

Moderator: ooffick

Forum rules
Please use the mailing list here: http://groups.google.com/group/joomla-dev-general rather than this forum.
User avatar
anabarcellos
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 154
Joined: Tue Jul 29, 2014 5:23 pm

Authentication plugins changes in 3.8 version

Postby anabarcellos » Wed Oct 11, 2017 9:26 pm

Good afternoon, folks. After 3.8 version, we can't login by OpenAM anymore (plugin developed by an ex-colleague looong ago).

Since Joomla! needed some changes to LDAP plugin in 3.8.1 https://github.com/joomla/joomla-cms/co ... 56c56231cc I am taking for granted that we need to change something in our OpenAM plugin too.

I am not a coder and I can't understand what those changes mean. At the same time, we don't have anything similar to the refered changes in LDAP plugin to copy to our OpenAM plugin code.

Even if we needed to hire someone to fix it, before I have to understand what needs to be done (what should I ask for?). Can someone help me with this information?

Otherwise I will be stuck on 3.7.5 version :(
You do not have the required permissions to view the files attached to this post.
Last edited by imanickam on Mon Oct 16, 2017 2:31 am, edited 1 time in total.
Reason: Moved the topic from the forum Migrating and Upgrading to Joomla! 3.x to the forum Joomla! 3.x Coding

User avatar
anabarcellos
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 154
Joined: Tue Jul 29, 2014 5:23 pm

Re: Authentication plugins changes in 3.8 version

Postby anabarcellos » Thu Oct 26, 2017 7:54 pm

Someone?
I installed an OpenAM agent in the server and the problem is still there. It works fine till Joomla 3.7.5.

User avatar
anabarcellos
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 154
Joined: Tue Jul 29, 2014 5:23 pm

Re: Authentication plugins changes in 3.8 version

Postby anabarcellos » Thu Oct 26, 2017 8:08 pm

LDAP works fine in 3.8.1

User avatar
anabarcellos
Joomla! Enthusiast
Joomla! Enthusiast
Posts: 154
Joined: Tue Jul 29, 2014 5:23 pm

Re: Authentication plugins changes in 3.8 version

Postby anabarcellos » Thu Nov 16, 2017 6:05 pm

After many tests I got to the conclusion that the issue is related to PHP7 and not to Joomla version. The plugin still works fine with Joomla 3.8 in php 5.5.

Not sure if this is the cause or just a notice:
PHP Notice: Array to string conversion in .../plugins/authentication/openam/openam.php on line 70


Line 70 is:

Code: Select all

$response->$attributes[$name] = trim(substr($line, 28));


Return to “Joomla! 3.x Coding”

Who is online

Users browsing this forum: No registered users and 7 guests